import { MConst } from "../MConst";
import DisplayCollider from "../Game/DisplayCollider";
import Ant from "../Game/Ant";

export default class GameMgr {
    private static _instance: GameMgr = null;
    public static get instance(): GameMgr {
        if (!this._instance) {
            this._instance = new GameMgr();
        }

        return this._instance;
    }

    public stage: egret.Stage = null;

    /**获取地线的世界坐标 */
    public get groundLineInWorld() {
        return MConst.GroundLine;
    }
}